DL_CryptoSystemBase< PK, KI > Class Template Referenceabstract

Discrete Log (DL) cryptosystem base implementation. More...

`#include <pubkey.h>`

Inheritance diagram for DL_CryptoSystemBase< PK, KI >:

## Public Types

typedef DL_Base< KI >::Element | Element

## Public Member Functions

size_t | MaxPlaintextLength (size_t ciphertextLength) const
size_t | CiphertextLength (size_t plaintextLength) const
bool | ParameterSupported (const char *name) const

## Detailed Description

template<class PK, class KI>
class DL_CryptoSystemBase< PK, KI >

Discrete Log (DL) cryptosystem base implementation.

Template Parameters

  PK | field element type
  KI | public or private key interface

Definition at line 1798 of file pubkey.h.

## Member Typedef Documentation

## Element

template<class PK, class KI>

typedef DL_Base<KI>::Element DL_CryptoSystemBase< PK, KI >::Element

Definition at line 1801 of file pubkey.h.

## Constructor & Destructor Documentation

## ~DL_CryptoSystemBase()

template<class PK, class KI>

virtual DL_CryptoSystemBase< PK, KI >::~DL_CryptoSystemBase | ( |  | ) |

inline virtual

Definition at line 1803 of file pubkey.h.

## Member Function Documentation

## MaxPlaintextLength()

template<class PK, class KI>

size_t DL_CryptoSystemBase< PK, KI >::MaxPlaintextLength | ( | size_t | ciphertextLength | ) | const

inline

Definition at line 1805 of file pubkey.h.

## CiphertextLength()

template<class PK, class KI>

size_t DL_CryptoSystemBase< PK, KI >::CiphertextLength | ( | size_t | plaintextLength | ) | const

inline

Definition at line 1811 of file pubkey.h.

## ParameterSupported()

template<class PK, class KI>

bool DL_CryptoSystemBase< PK, KI >::ParameterSupported | ( | const char * | name | ) | const

inline

Definition at line 1817 of file pubkey.h.

The documentation for this class was generated from the following file:

- pubkey.h